Skip to main content
Return a page of the experts in a list with their status, sorted by expert ID.

Signature

Method signature on client.expertLists:

Parameters

string
required
ID of the expert list, with prefix exl..
string
Return experts after this expert ID; use nextAfter of the previous page.
number
default:"1000"
Maximum number of experts to return, from 1 to 1000.

Returns

Promise<{ experts: { expertId: string; status: "pending" | "available" | "unavailable" | "banned" | "not_found" }[]; nextAfter: null | string }>
object[]
required
Experts in this page.
string | null
required
Pass as after to get the next page; null on the last page.

Errors

HTTP errors throw PotatoApiError. The endpoint documents these error responses: HTTP endpoint: GET /expert-lists/{expertListId}/experts.